NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::SketchAlongPathBuilder Class Reference

Use the NXOpen::SketchAlongPathBuilder to create or reattach a NXOpen::Sketch along a path. More...

Inheritance diagram for NXOpen::SketchAlongPathBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PlaneOrientationType { PlaneOrientationTypeNormalToPath, PlaneOrientationTypeNormalToVector, PlaneOrientationTypeParallelToVector, PlaneOrientationTypeThroughAxis }
 Indicates the orientation of the plane. More...
 
enum  SketchOrientationType { SketchOrientationTypeAutomatic, SketchOrientationTypeRelativeToFace, SketchOrientationTypeUseCurveParameters }
 Indicates the sketch orientation method. More...
 

Public Member Functions

NXOpen::SelectIReferenceAxisAxis ()
 Returns the horizontal reference
Created in NX5.0.0. More...
 
double NextThroughPointSolution ()
 Returns the parameter indicating the location of the next solution
Created in NX5.0.0. More...
 
NXOpen::ScCollectorOrientingFace ()
 Returns the orienting faces to evaluate X and Y axis of sketch if NXOpen::SketchAlongPathBuilder::SketchOrientationType is NXOpen::SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace . More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderPlaneLocation ()
 Returns the plane location
Created in NX5.0.0. More...
 
NXOpen::SketchAlongPathBuilder::PlaneOrientationType PlaneOrientation ()
 Returns the plane orientation type
Created in NX5.0.0. More...
 
NXOpen::DirectionPlaneOrientationAxis ()
 Returns the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"
Created in NX5.0.0. More...
 
bool ReverseAxis ()
 Returns the flag to indicate the horizontal reference axis is reversed
Created in NX5.0.0. More...
 
bool ReversePlaneNormal ()
 Returns the flag to indicate the plane normal is reversed
Created in NX5.0.0. More...
 
NXOpen::SectionSection ()
 Returns the path
Created in NX5.0.0. More...
 
void SetPlaneOrientation (NXOpen::SketchAlongPathBuilder::PlaneOrientationType planeOrientationType)
 Sets the plane orientation type
Created in NX5.0.0. More...
 
void SetPlaneOrientationAxis (NXOpen::Direction *vector)
 Sets the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"
Created in NX5.0.0. More...
 
void SetReverseAxis (bool reverseAxis)
 Sets the flag to indicate the horizontal reference axis is reversed
Created in NX5.0.0. More...
 
void SetReversePlaneNormal (bool reversePlaneNormal)
 Sets the flag to indicate the plane normal is reversed
Created in NX5.0.0. More...
 
void SetShowAllDatumAxes (bool showAllDatumAxes)
 Sets the flag to create all datum axes for path having shared edge. More...
 
void SetSketchOrient (NXOpen::SketchAlongPathBuilder::SketchOrientationType sketchOrientMethod)
 Sets the sketch orientation method as NXOpen::SketchAlongPathBuilder::SketchOrientationType
Created in NX6.0.0. More...
 
bool ShowAllDatumAxes ()
 Returns the flag to create all datum axes for path having shared edge. More...
 
NXOpen::SketchAlongPathBuilder::SketchOrientationType SketchOrient ()
 Returns the sketch orientation method as NXOpen::SketchAlongPathBuilder::SketchOrientationType
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Use the NXOpen::SketchAlongPathBuilder to create or reattach a NXOpen::Sketch along a path.


To create a new instance of this class, use NXOpen::SketchCollection::CreateSketchAlongPathBuilder
Default values.

Property Value

ShowAllDatumAxes

True

SketchOrient

Automatic


Created in NX5.0.0.

Member Enumeration Documentation

Indicates the orientation of the plane.

Enumerator
PlaneOrientationTypeNormalToPath 

Normal to Path.

PlaneOrientationTypeNormalToVector 

Normal to Vector.

PlaneOrientationTypeParallelToVector 

Parallel to Vector.

PlaneOrientationTypeThroughAxis 

Through Axis.

Indicates the sketch orientation method.

For the sketch orientation type is 'Automatic': two set of datum axes are created if the path contains a shared edge, one set of each face. For laminar edge one set of datum axes is created. If the path contains only wireframe the two set of axes are created. For the sketch orientation type is 'Relative to face': one set of datum axes is craeted using the orienting faces For the sketch orientation type is 'Use curve parameter': one set of datum axes is created using the the curve parameter

Enumerator
SketchOrientationTypeAutomatic 

Automatic.

SketchOrientationTypeRelativeToFace 

Relative to face.

SketchOrientationTypeUseCurveParameters 

Based on curve parameter.

Member Function Documentation

NXOpen::SelectIReferenceAxis* NXOpen::SketchAlongPathBuilder::Axis ( )

Returns the horizontal reference
Created in NX5.0.0.



License requirements : None

double NXOpen::SketchAlongPathBuilder::NextThroughPointSolution ( )

Returns the parameter indicating the location of the next solution
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::SketchAlongPathBuilder::OrientingFace ( )

Returns the orienting faces to evaluate X and Y axis of sketch if NXOpen::SketchAlongPathBuilder::SketchOrientationType is NXOpen::SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace .

The datum axes are evaluated as tangent and normal of the orienting face.
Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::SketchAlongPathBuilder::PlaneLocation ( )

Returns the plane location
Created in NX5.0.0.



License requirements : None

NXOpen::SketchAlongPathBuilder::PlaneOrientationType NXOpen::SketchAlongPathBuilder::PlaneOrientation ( )

Returns the plane orientation type
Created in NX5.0.0.



License requirements : None

NXOpen::Direction* NXOpen::SketchAlongPathBuilder::PlaneOrientationAxis ( )

Returns the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAlongPathBuilder::ReverseAxis ( )

Returns the flag to indicate the horizontal reference axis is reversed
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAlongPathBuilder::ReversePlaneNormal ( )

Returns the flag to indicate the plane normal is reversed
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::SketchAlongPathBuilder::Section ( )

Returns the path
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchAlongPathBuilder::SetPlaneOrientation ( NXOpen::SketchAlongPathBuilder::PlaneOrientationType  planeOrientationType)

Sets the plane orientation type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
planeOrientationTypeplaneorientationtype
void NXOpen::SketchAlongPathBuilder::SetPlaneOrientationAxis ( NXOpen::Direction vector)

Sets the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
vectorvector
void NXOpen::SketchAlongPathBuilder::SetReverseAxis ( bool  reverseAxis)

Sets the flag to indicate the horizontal reference axis is reversed
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
reverseAxisreverseaxis
void NXOpen::SketchAlongPathBuilder::SetReversePlaneNormal ( bool  reversePlaneNormal)

Sets the flag to indicate the plane normal is reversed
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
reversePlaneNormalreverseplanenormal
void NXOpen::SketchAlongPathBuilder::SetShowAllDatumAxes ( bool  showAllDatumAxes)

Sets the flag to create all datum axes for path having shared edge.

This option is applicable only when NXOpen::SketchAlongPathBuilder::SketchOrientationType is NXOpen::SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
showAllDatumAxesshow all datum axes
void NXOpen::SketchAlongPathBuilder::SetSketchOrient ( NXOpen::SketchAlongPathBuilder::SketchOrientationType  sketchOrientMethod)

Sets the sketch orientation method as NXOpen::SketchAlongPathBuilder::SketchOrientationType
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
sketchOrientMethodsketch orient method
bool NXOpen::SketchAlongPathBuilder::ShowAllDatumAxes ( )

Returns the flag to create all datum axes for path having shared edge.

This option is applicable only when NXOpen::SketchAlongPathBuilder::SketchOrientationType is NXOpen::SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace
Created in NX6.0.0.

License requirements : None

NXOpen::SketchAlongPathBuilder::SketchOrientationType NXOpen::SketchAlongPathBuilder::SketchOrient ( )

Returns the sketch orientation method as NXOpen::SketchAlongPathBuilder::SketchOrientationType
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.